Subject: Re: upgrade question
From: Robert Collins <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: Rob Clack <[email-masked]>, [email-masked]
Date: 29 Jul 2003 20:32:12 +1000

On Tue, 2003-07-29 at 20:22, Max Bowsher wrote:
> Rob Clack wrote:
> > Thank you for this.  However, I managed to find a disaster in there
> > despite everything.  :o(
> >
> > I renamed the whole e:\cygwin tree to e:\old_cygwin.  I had to rerun the
> > install several times, for reasons I need not go into.  Eventually it
> > got to the end and said "I found an old cygwin, shall I delete it?"  I
> > assumed it meant one from the immediately previous installation, which
> > had also completed, but with errors, so innocently pressed "OK".
> > Mistake.  It deleted the whole e:\old_cygwin tree, including a load of
> > stuff that wasn't actually cygwin at all and was only there for
> > historical reasons.
> >
> > And none of it is recoverable, nor backed up, of course.  Boo hoo.
> 
> Huh? Cygwin setup.exe doesn't do this. It only deletes old cygwin1.dll
> files. Not directory trees.

In fact, thats not even a cygwin setup prompt. Rob, you ran something
other than the current cygwin installer for sure...
Cheers,
Rob
-- 
GPG key available at: http://members.aardvark.net.au/lifeless/keys.txt.
---